package egovframework.service.mapper;

import egovframework.util.PageCriteria;
import egovframework.vo.AdminVO;
import egovframework.vo.PopupVO;
import egovframework.vo.StatsVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AdminMapper {

	AdminVO getUser(String id);
	
	List<PopupVO> getPopupList(PageCriteria criteria);
	
	void insertPopup(Map<String,Object> paramMap);
	
	int updatePopupUseYN(Map<String, Object> paramMap);
	
	int deletePopup(Map<String, Object> paramMap);
	
	int updatePopup(Map<String, Object> paramMap);
	
	Map<String, Object> checkPrePw(Map<String, Object> paramMap);
	
	int updatePw(Map<String, Object> paramMap);
	
	List<StatsVO> getHHStatus(Map<String,Object> paramMap);
	
	List<StatsVO> getMMStatus(Map<String,Object> paramMap);
	
	List<StatsVO> getDDStatus(Map<String, Object> paramMap);
	
	void adminLoginMake(Map<String, Object> paramMap);
	
	void adminLogoutMake(Map<String, Object> paramMap);

	Map<String, Object> getFailCount(Map<String, Object> paramMap);

	void setAcountLock(Map<String, Object> paramMap);

	void setFailCount(Map<String, Object> paramMap);

	int getPopupTotalCount();

	PopupVO getPopup(Map<String, Object> paramMap);
}
